<?php
/**
 * Plugin Name: AutoBlog CKT
 * Plugin URI:  https://autoblog.one/
 * Description: This plugin is perfect for maintaining a consistent posting schedule on your blog without manual intervention.
 * Version:     1.3.5
 * Author:      ckt
 * License:     GPLv2 or later
 * Text Domain: autoblog-ckt
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

define('ABCKT_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('ABCKT_PLUGIN_URI', plugins_url('/', __FILE__));
define('ABCKT_PLUGIN_INC', ABCKT_PLUGIN_PATH . 'includes/');
define('ABCKT_PLUGIN_TEMP', ABCKT_PLUGIN_PATH . 'templates/');
define('ABCKT_PLUGIN_VERSION', '1.3.5');

// Include necessary files
require_once(ABCKT_PLUGIN_INC . 'class-wp-ai-generate-posts.php');
require_once(ABCKT_PLUGIN_INC . 'updater.php');

// Initialize the plugin
function abckt_initialize_plugin()
{
    return ABCKT::instance();
}
$GLOBALS['abckt_plugin'] = abckt_initialize_plugin();

// Add custom settings link
function abckt_settings_link($links)
{
    $settings_link = '<a href="admin.php?page=auto-blog">Settings</a>';
    array_unshift($links, $settings_link);
    return $links;
}
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'abckt_settings_link');

// Create custom database table on plugin activation
function abckt_create_custom_table()
{
    global $wpdb;
    $table_name = $wpdb->prefix . 'wagp_data';

    $charset_collate = $wpdb->get_charset_collate();

    $sql = "CREATE TABLE $table_name (
        id mediumint(9) NOT NULL AUTO_INCREMENT,
        prompt text NOT NULL,
        languages text NOT NULL,
        category int NOT NULL,
        timeframe varchar(255) NOT NULL,
        timeframe_exec varchar(255) NOT NULL,
        PRIMARY KEY  (id)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
}
register_activation_hook(__FILE__, 'abckt_create_custom_table');

// Schedule event on plugin activation
function abckt_schedule_event()
{
    wp_schedule_event(time(), 'hourly', 'abckt_hourly_event');
}
register_activation_hook(__FILE__, 'abckt_schedule_event');


