<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<div class="abckt-form-container">
    <form method="post">
        <div class="form-group">
            <label for="prompt">Prompt:</label>
                <input type="text" id="prompt" name="prompt" placeholder="Enter any keyword like Workout, Fitness, Swimming etc." required>
        </div>
        <div class="form-group">
            <label for="category">Post Category:</label>            
            <select id="category" name="category" required>
                <?php
                // Get all categories
                $categories = get_categories( array(
                    'hide_empty' => false
                ) );

                // Display categories as options
                foreach ( $categories as $category ) {
                    // Get post count for the category
                    $post_count = $category->count;

                    // Append post count to category name
                    $category_name = $category->name . ' (' . $post_count . ')';

                    // Output option tag
                    echo '<option value="' . esc_html ($category->term_id) . '">' . esc_html($category_name) . '</option>';
                }
                ?>
            </select>
        </div>
        <div class="form-group">
            <label for="languages">Post language:</label>            
            <select id="languages" name="languages" required>                
                <option value="English">English</option>                
                <option value="German">German</option>                
                <option value="Spanish">Spanish</option>                
                <option value="French">French</option>                
                <option value="Russian">Russian</option>                
                <option value="Hindi">Hindi</option>                
            </select>
        </div>
        <div class="form-group">
            <label for="timeframe">Time Frame:</label>
                <input type="number" min="1" max="1000" id="timeframe" name="timeframe" placeholder="e.g., 10 or 12" required>
        </div>        
        <?php wp_nonce_field( 'ai_prompt', 'ai_prompt' ); ?>
        <input type="submit" name="submit" value="Submit">
    </form>
    <?php // Check if success message exists and display it
		if ($success_message = get_transient('abckt_ai_form_success_message')) {
			echo '<div class="success-message">' . esc_html($success_message) . '</div>';
			// Delete the transient after displaying
			delete_transient('abckt_ai_form_success_message');
		}
		
		// Check if error message exists and display it
		if ($error_message = get_transient('abckt_ai_form_error_message')) {
			echo '<div class="error-messages">' . esc_html($error_message) . '</div>';
			// Delete the transient after displaying
			delete_transient('abckt_ai_form_error_message');
		}
         ?>
</div>